#include <iostream>
#include <cmath>

int main() {
    long long k;
    std::cin >> k;

    if (k == 0) {
        std::cout << "0" << std::endl;
        return 0;
    }

    int numLen = std::log10(k) + 1;
    long long reflectedNum = 0;

    for (int i = 0; i < numLen; i++) {
        int digit = k % 10;
        reflectedNum = reflectedNum * 10 + digit;
        k /= 10;
    }

    std::cout << reflectedNum << std::endl;

    return 0;
}
